• Hey Guest, we're evolving the future of TeaSpeak.
    You're invited to join the discussion here!

Pending Bildschirm / Video-Übertragung funktioniert nicht | Screen / video transmission does not work

Hoerli

New member
Hallo Community!
Ich habe mich mittlerweile etwas mit TeaSpeak geschäftigt.
Momentan arbeite ich auch noch an einem Egg für Pterodactyl, doch 100% funktioniert noch nicht alles.
(GitHub)

Die Video und Bildschirm-Übertragung funktioniert absolut nicht.
Ich erhalte im Log nur folgende Meldung:
Code:
[2021-01-13 17:50:39] [ERROR]     1 | Missing command 'rtcsessiondescribe'
[2021-01-13 17:50:39] [ERROR]     1 | Missing command 'rtcicecandidate'
[2021-01-13 17:50:39] [ERROR]     1 | Missing command 'rtcsessionreset'
beim Verbinden kommt im TeaSpeak-Client selbst auch 2x der Error "command not found".

Möchte ich eine Übertragung starten, kommt die übliche Meldung "Video broadcasting isn't supported by the target server." oder "Screen sharing isn't supported by the target server.".
Ich habe TeaSpeak auch schon "normal" auf einem Server installiert, dort habe ich 1:1 das gleiche verhalten.
Durch etwas Sucharbeit im Netz, bin ich auf diese Summe an Paketen gekommen, die installiert sein müssen, damit alles geht:
ffmpeg gir1.2-nice-0.1 gstreamer1.0-nice libnice-dev
(Für deine Debian-Distribution)

Was mach ich falsch, oder gibt es aktuell einen Bug?

- Genutze Server-Version: 1.4.22
- Getestet mit Windows-Client, Web-Client und Linux-Client

_________________________________________________________________

Hello Community!
In the meantime I have been working a bit with TeaSpeak.
At the moment I'm also working on an Egg for Pterodactyl, but 100% not everything works yet.
(GitHub)

The video and screen transmission is absolutely not working.
I only get the following message in the log:
Code:
[2021-01-13 17:50:39] [ERROR]     1 | Missing command 'rtcsessiondescribe'
[2021-01-13 17:50:39] [ERROR]     1 | Missing command 'rtcicecandidate'
[2021-01-13 17:50:39] [ERROR]     1 | Missing command 'rtcsessionreset'
when connecting, the TeaSpeak client itself shows 2x the error "command not found".

If I want to start a broadcast, I get the usual message "Video broadcasting isn't supported by the target server." or "Screen sharing isn't supported by the target server.".
I have also installed TeaSpeak "normally" on a server, there I have 1:1 the same behavior.
By some search work in the net, I came to this sum of packages, which must be installed, so that everything works:
ffmpeg gir1.2-nice-0.1 gstreamer1.0-nice libnice-dev
(For your Debian distribution)

What am I doing wrong, or is there currently a bug?

- Used server version: 1.4.22
- Tested with Windows client, Web client and Linux client
 

WolverinDEV

TeaSpeak Team
Staff member
Administrator
Hey,
great thread and bug description ;)
But you missed a point:
Video / Screen sharing is currently a beta feature so it's only available in the beta and nightly versions (1.5.0)

PPS: TeaSpeak does not required gir1.2-nice-0.1 gstreamer1.0-nice libnice-dev any more.
It now bundles all required stull all alone.
 

Hoerli

New member
Have now installed 1.5.0-beta-5. Now I get a new error:
Code:
[2021-01-15 18:29:11] [ERROR]     1 | Missing command 'broadcastvideo'
At least I can now select a monitor or program I want to stream, e.g. at Screenshare.
But when I start a stream the following error appears in the client:
command not found

The messagebox is as follows:
Code:
Failed to start screen sharing
Failed to start screen sharing: failed to signal broadcast start
gir1.2-nice-0.1 gstreamer1.0-nice libnice-dev I had to install so that all error messages disappeared.

By the way, the following errors occurred on the first start:
Code:
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_private
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex8
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex16
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex32
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_celtmono48
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_conversation_private
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_conversation_private
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_private
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex8
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex16
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex32
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_celtmono48
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_private
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex8
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex16
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex32
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex8
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_modify_with_codec_speex16

...

[2021-01-15 18:25:48] [ERROR]     1 | [WebList] Status update failed. Error: Invalid exchange status. Status: 5
[2021-01-15 18:25:49] [ERROR]     1 | [WebList] Status update failed. Error: Invalid exchange status. Status: 5
[2021-01-15 18:25:49] [ERROR]     1 | [WebList] Status update failed. Error: Invalid exchange status. Status: 5
 

WolverinDEV

TeaSpeak Team
Staff member
Administrator
Code:
[2021-01-15 18:29:11] [ERROR]     1 | Missing command 'broadcastvideo'
Well that's odd.
Sure you're using the right version and the right client/web client?

Code:
[2021-01-15 18:25:48] [ERROR] GLOBL | Default permission file contains unknown permission. Key: b_channel_create_private
[/icode]
It's just ignoreable.
 

WolverinDEV

TeaSpeak Team
Staff member
Administrator
Stable or nightly?
PS: It seems like your server is not up 2 date.
Can you send me the link you're using?
 

Hoerli

New member
Optimized: https://repo.teaspeak.de/server/linux/amd64_optimized/TeaSpeak-1.5.0-beta-5.tar.gz
Fresh install.
Installed on Ubuntu 18.04 LTS.
Client was updated via the internal updater.
WebClient does not work either.

With Nightly-27 it seems to work.
Now i need to fix the permission-problem.
If I as SA want to give myself the rights, I have no authorization for it.
Unzureichende Benutzerberechtigung. Auf Erlaubnis i_permission_modify_power fehlgeschlagen
 
Last edited:

WolverinDEV

TeaSpeak Team
Staff member
Administrator
Well that's odd the bats should work together...
By default the server should auto upgrade the required permissions.
Which permission is missing for you?

PS: SAQ has all permissions ;)
 

Hoerli

New member
I need to activate b_video_screen + b_video_camera and after that i need i_video_max_kbps to get the permissions to stream something.
As often recommended here in the forum, I have set this with YaTQA.
 

WolverinDEV

TeaSpeak Team
Staff member
Administrator
Yes with YatQa or the TeaSpeak client.
Yes you need these permissions but I still wonder why they haven't been upgraded automatically.
Are you using the default setup of TeaSpeak (without snapshots etc)?
 

WolverinDEV

TeaSpeak Team
Staff member
Administrator
Hey,
the latest was actually a nightly build (nightly-27).
The current new TeaSpeak-1.5.0-beta-6.tar.gz will work as well.